Package com.enonic.xp.blob

## Class Segment

- java.lang.Object
- - com.enonic.xp.blob.Segment

-     public final class Segment
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Segment.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `SEGMENT_LEVEL_DEPTH` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Segment.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `static Segment` | `from​(SegmentLevel... levels)` |
    `static Segment` | `from​(Iterable<SegmentLevel> levels)` |
    `static Segment` | `from​(String... levels)` |
    `SegmentLevel` | `getLevel​(int levelIndex)` |
    `List<SegmentLevel>` | `getLevels()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SEGMENT_LEVEL_DEPTH

          public static final int SEGMENT_LEVEL_DEPTH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLevels

          public List<SegmentLevel> getLevels()

    - #### getLevel

          public SegmentLevel getLevel​(int levelIndex)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### from

          public static Segment from​(String... levels)

    - #### from

          public static Segment from​(SegmentLevel... levels)

    - #### from

          public static Segment from​(Iterable<SegmentLevel> levels)

    - #### create

          public static Segment.Builder create()